/*
 * $Id: nccf_free_axis.c 762 2011-06-06 17:37:56Z pletzer $
 * */

#include "nccf_axis.h"
#include <stdlib.h>

#include <netcdf.h>
#include <nccf_varObj.h>

/**
 * \ingroup gs_axis_grp
 * Free object (destructor).
 *
 * \param axisid coordinate ID
 * \return NC_NOERR on success
 *
 * \author Alexander Pletzer (Tech-X Corp.) and Ed Hartnett (UCAR).
 */
int nccf_free_axis(int axisid) {

    struct nccf_axis_type *self;
    self = nccf_li_remove(&CFLIST_AXIS, axisid);
    if( nccf_li_get_nelem( &CFLIST_AXIS ) == 0 )
        nccf_li_del( &CFLIST_AXIS );

    /* free memory */
    free(self->data);
    free(self->axis_name);
    nccf_varDestroy(&self->axisVar);
    free(self);

    return NC_NOERR;
}
