/**
 * $Id: nccf_inq_coord_dimnames.c 828 2011-09-14 20:05:08Z pletzer $
 */

#include "cf_config.h"
#include <nccf_varObj.h>
#include <nccf_coord.h>
#include <string.h>

/**
 * \ingroup gs_coord_grp
 * Fill in the dimension names.
 *
 * \param coordid coordinate ID
 * \param dimnames (output) array of dimension names for each axis
 * \return NC_NOERR on success
 */
int nccf_inq_coord_dimnames(int coordid, char **dimnames) {

  struct nccf_coord_type *self;
  self = nccf_li_find(&CFLIST_COORDINATE, coordid);

  const char *dimName;
  int i;
  for (i = 0; i < self->ndims; ++i) {
    nccf_varGetDimNamePtr(&self->coordVar, i, &dimName);
    strncpy(dimnames[i], dimName, STRING_SIZE);
  }
  
  return NC_NOERR;
}
