/**
 * Get the space dimensions
 *
 * $Id: nccf_inq_coord_dims.c 737 2011-05-06 17:48:14Z edhartnett $
 */

#include "nccf_coord.h"

/**
 * \ingroup gs_coord_grp
 * Fill in the dimensions.
 *
 * \param coordid coordinate ID
 * \param dims (output) array of dimensions for each axis
 * \return NC_NOERR on success
 *
 * \author Alexander Pletzer and David Kindig, Tech-X Corp.
 */
int nccf_inq_coord_dims(int coordid, int *dims) {
  int i;
  struct nccf_coord_type *self;
  self = nccf_li_find(&CFLIST_COORDINATE, coordid);
  for (i = 0; i < self->ndims; ++i) {
    dims[i] = self->dims[i];
  }
  return NC_NOERR;
}
