/**
 * Get the number of space dimensions
 *
 * $Id: nccf_inq_coord_ndims.c 737 2011-05-06 17:48:14Z edhartnett $
 */

#include "nccf_coord.h"

/**
 * \ingroup gs_coord_grp
 * Get the the number of dimensions.
 *
 * \param coordid coordinate ID
 * \param ndims (output) number of space dims
 * \return NC_NOERR on success
 *
 * \author Alexander Pletzer and David Kindig, Tech-X Corp.
 */
int nccf_inq_coord_ndims(int coordid, int *ndims) {
  struct nccf_coord_type *self;
  self = nccf_li_find(&CFLIST_COORDINATE, coordid);
  *ndims = self->ndims;
  return NC_NOERR;
}
