/**
 * $Id: nccf_add_data_att.c 738 2011-05-06 22:26:09Z edhartnett $
 */

#include <nccf_data.h>

/**
 * \ingroup gs_data_grp
 * Add attribute to object.
 *
 * \param dataid data ID
 * \param name attribute name
 * \param value attribute value
 * \return NC_NOERR on success
 *
 * \author Alexander Pletzer and David Kindig, Tech-X Corp.
 */
int nccf_add_data_att(int dataid, 
			     const char *name, const char *value) {

  struct nccf_data_type *self;
  self = nccf_li_find(&CFLIST_STRUCTURED_DATA, dataid);

  nccf_varSetAttribText(&self->dataVar, name, value);

  return NC_NOERR;
  
}
