/**
 * $Id: nccf_free_data.c 738 2011-05-06 22:26:09Z edhartnett $
 */

#include <nccf_data.h>

/**
 * \ingroup gs_data_grp
 * Free object (destructor).
 *
 * \param dataid ID
 * \return NC_NOERR on success
 *
 * \author Alexander Pletzer and David Kindig, Tech-X Corp.
 */
int nccf_free_data(int dataid) {

    struct nccf_data_type *self;
    self = nccf_li_remove(&CFLIST_STRUCTURED_DATA, dataid);
    if( nccf_li_get_nelem( &CFLIST_STRUCTURED_DATA ) == 0 )
        nccf_li_del( &CFLIST_STRUCTURED_DATA );

    /* Clean up */
    
    if (self->name) free(self->name);

    if (self->save) {
      if (self->data) free(self->data);
    }

    nccf_varDestroy(&self->dataVar);

    free(self);

    return NC_NOERR;
}
