/* $Id: nccf_apply_regrid_type.h 787 2011-07-28 19:04:22Z dkindig $ */

_TYPE *ori_data, *tgt_data;
_TYPE datum;
_TYPE old_tgt_value;
double sum_weights;
nc_type xtype;
const void *fill_value;
status = nccf_get_data_pointer(ori_data_id, &xtype, 
              (void **)&ori_data, &fill_value);
totErr += abs(status);
status = nccf_get_data_pointer(tgt_data_id, &xtype, 
              (void **)&tgt_data, &fill_value);
totErr += abs(status);

/* Make sure at least one target point is in the domain */
if (self->nvalid > 0) {
  for (i = 0; i < self->ntargets; ++i) {
    /* Compute sum of weights * field values when inside_domain == 1
       Don't change the value if inside_domain == 0 
       This will set tgt_data[i] to zero if valid and keep 
       tgt_data[i] otherwise
    */
    tgt_data[i] = (1 - self->inside_domain[i])*tgt_data[i];
    /* Linear interpolation */
    
    sum_weights = 0;
    old_tgt_value = tgt_data[i];
    for (j = 0; j < nNodes; ++j) {
      datum = ori_data[ self->indices[i * nNodes + j] ];
      tgt_data[i] += (_TYPE) (self->weights[i * nNodes + j]*datum*self->inside_domain[i]);
      sum_weights += self->weights[i * nNodes + j];
    }
    
    if (sum_weights == 0) {
      /* cell with invalid data */
      if (fill_value) {
        tgt_data[i] = *(_TYPE *) fill_value;
      }
      else {
  /* re-instate the old value, the user does not want to use any
     fill_value (== NULL). This amounts to a no-op. */
        tgt_data[i] = old_tgt_value;
      }
    }
  }
}
