/**
 * $Id: nccf_get_position.h 630 2011-03-28 17:38:12Z pletzer $
 *
 * \author Alexander Pletzer, Tech-X Corp.
 */

int
nccf_get_position_TYPE(int ndims, const int dims[],
			       const _TYPE **coordData,
			       const _TYPE dindices[],
			       _TYPE position[]) {

  int status, i;
  int totError = 0;
  _TYPE *weights = (_TYPE *) malloc( pow(2, ndims) * sizeof(_TYPE) );

  status = nccf_get_linear_weights_TYPE(ndims, dims, 
					dindices,
					NULL,
					weights);
  totError += abs(status);

  for (i = 0; i < ndims; ++i) {
    status = nccf_linear_interp_TYPE(ndims, dims, 
				     coordData[i], 
				     dindices, weights, 
				     _FILL_VALUE, 
				     &position[i]);
    totError += abs(status);
  }

  free(weights);

  return totError;
}
